<?php
include 'php/functions.php';
if (!checkIfLoggedIn()) {
  redirect('login.php');
}

if (!isset($_GET['id'])) {
  redirect('select-blog');
}

$blog = getBlogById($_GET['id']);
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta name="robots" content="noindex">
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <meta name="robots" content="noindex, nofollow">
  <title>Biotex CMS</title>
  <?php include 'inc/stylesheet.php'; ?>
</head>

<body data-page="modify-blog">
  <nav class="nav">
    <div class="container nav__content-wrapper">
      <a href="index" class="nav__logo-wrapper">
        <img src="img/logo.svg" alt="Biotex logo" class="nav__logo">
      </a>

      <ul class="nav__list">
        <li class="nav__list-item">
          <a href="index" class="nav__link ">Dashboard</a>
        </li>
        <li class="nav__list-item">
          <a href="logout" class="nav__link">Logout</a>
        </li>
      </ul>
    </div>
  </nav>

  <main class="blog">
    <div class="container">
      <div class="blog__grid">

        <div class="blog__header-wrapper">
          <header class="blog__header">
            <h1 class="txt-l blog__title">Modify <span class="block txt-xxxl normal">BLOG</span></h1>
          </header>


        </div>

        <div class="blog__form">
          <div class="input">
            <label for="js-title" class="input__label">Blog Title*</label>
            <input id="js-title" type="text" class="input__control" value="<?php echo $blog->title; ?>" />
            <span class="input__error-message">Please enter a blog title</span>
          </div>

          <div class="input input__control--editor">
            <label for="js-blog-content" class="input__label">Blog content</label>
            <div id="js-blog-content" class="quill"><?php echo $blog->content; ?></div>
            <span class="input__error-message">Please enter the contents of the blog</span>
          </div>

          <div class="input">
            <label for="js-description" class="input__label">Blog Meta Description</label>
            <textarea id="js-description" class="input__control input__control--textarea"><?php echo $blog->meta_description; ?></textarea>
            <span class="input__error-message">Please enter a blog meta description</span>
          </div>

          <div class="input">
            <label for="js-image" class="input__label">Thumbnail</label>
            <input id="js-image" type="file" class="input__control" accept="image/png, image/jpeg" />
            <span class="input__error-message">Please attach a blog thumbnail iamge</span>

            <p>Thumbnail preview</p>
            <img src="<?php echo $blog->image; ?>" alt="" class="blog__preview" id="js-preview">
          </div>

          <div class="blog__btns-wrapper" data-id="<?php echo $blog->id; ?>">
            <button class="btn btn--primary" id="js-update-btn">+Update Blog</button>
            <button class="btn  btn--danger" id="js-delete-btn">-Delete Blog</button>
          </div>
        </div>



      </div>
    </div>
  </main>

  <footer class="footer ">
    <div class="container">
      Copyright <?php echo date('Y'); ?> - Biotex
    </div>
  </footer>

  <link href="https://cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet">
  <script src="https://cdn.quilljs.com/1.3.6/quill.js"></script>

  <?php include 'inc/script.php'; ?>
</body>

</html>